Debian Bug report logs - #673920
RFP: python-rsa -- pure Python RSA implementation

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniele Tricoli <eriol@mornie.org>

Date: Tue, 22 May 2012 02:45:01 UTC

Owned by: takaki@debian.org

Severity: wishlist

Merged with 733216

Fixed in version python-rsa/3.1.2-1

Done: TANIGUCHI Takaki <takaki@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#673920; Package wnpp. (Tue, 22 May 2012 02:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniele Tricoli <eriol@mornie.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 22 May 2012 02:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniele Tricoli <eriol@mornie.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-rsa -- pure Python RSA implementation
Date: Tue, 22 May 2012 04:41:02 +0200
Package: wnpp
Severity: wishlist
Owner: Daniele Tricoli <eriol@mornie.org>

* Package name    : python-rsa
  Version         : 3.0.1
  Upstream Author : Sybren A. Stuvel <sybren@stuvel.eu>
* URL             : http://stuvel.eu/rsa
* License         : Apache License 2.0
  Programming Lang: Python
  Description     : pure Python RSA implementation

 Python-RSA is a pure-Python RSA implementation. It supports encryption
 and decryption, signing and verifying signatures, and key generation
 according to PKCS#1 version 1.5 so it can also interoperate with
 OpenSSL.

The package will be maintained under the umbrella of the DPMT and it's
a dependency for the new version (0.1.3) of python-oauthlib.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673920; Package wnpp. (Tue, 15 Jan 2013 00:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniele Tricoli <eriol@mornie.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 15 Jan 2013 00:36:03 GMT) Full text and rfc822 format available.


Message #10 received at 673920@bugs.debian.org (full text, mbox):

From: Daniele Tricoli <eriol@mornie.org>
To: 673920@bugs.debian.org, control@bugs.debian.org
Date: Tue, 15 Jan 2013 01:33:44 +0100
[Message part 1 (text/plain, inline)]
retitle 673920 RFP: python-rsa -- pure Python RSA implementation
noowner 673920
thanks

Since python-oauthlib is not using anymore python-rsa I'm no more
interested in packaging it.

Cheers,

-- 
 Daniele Tricoli 'Eriol'
 http://mornie.org
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFP: python-rsa -- pure Python RSA implementation' from 'ITP: python-rsa -- pure Python RSA implementation' Request was from Daniele Tricoli <eriol@mornie.org> to control@bugs.debian.org. (Tue, 15 Jan 2013 00:36:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Daniele Tricoli <eriol@mornie.org>. Request was from Daniele Tricoli <eriol@mornie.org> to control@bugs.debian.org. (Tue, 15 Jan 2013 00:36:07 GMT) Full text and rfc822 format available.

Owner recorded as takaki@debian.org. Request was from Salvatore Bonaccorso <carnil@debian.org> to 733216-submit@bugs.debian.org. (Fri, 27 Dec 2013 09:57:12 GMT) Full text and rfc822 format available.

Merged 673920 733216 Request was from Salvatore Bonaccorso <carnil@debian.org> to 733216-submit@bugs.debian.org. (Fri, 27 Dec 2013 09:57:14 GMT) Full text and rfc822 format available.

Message #19 received at 733216-close@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@debian.org>
To: 733216-close@bugs.debian.org
Subject: Bug#733216: fixed in python-rsa 3.1.2-1
Date: Sat, 04 Jan 2014 19:00:06 +0000
Source: python-rsa
Source-Version: 3.1.2-1

We believe that the bug you reported is fixed in the latest version of
python-rsa, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733216@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
TANIGUCHI Takaki <takaki@debian.org> (supplier of updated python-rsa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Dec 2013 16:47:49 +0900
Source: python-rsa
Binary: python-rsa python3-rsa
Architecture: source all
Version: 3.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: TANIGUCHI Takaki <takaki@debian.org>
Description: 
 python-rsa - Pure-Python RSA implementation (Python 2)
 python3-rsa - Pure-Python RSA implementation (Python 3)
Closes: 733216
Changes: 
 python-rsa (3.1.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #733216)
Checksums-Sha1: 
 a579be6befbe2ef1dbb6acc48ceb24a0857470a9 2062 python-rsa_3.1.2-1.dsc
 ebf54ad3fff8bc1df09f5d777d5a913e5aef8df5 35237 python-rsa_3.1.2.orig.tar.gz
 afae1f06c1da0d6ba1e70e64963c8196c1732a8d 1854 python-rsa_3.1.2-1.debian.tar.gz
 32caee95115602fae7211a78dc8ac4d156ad1ecf 27670 python-rsa_3.1.2-1_all.deb
 8cbfffe3a57ba37e964db1cd206d81f653db2bfc 26784 python3-rsa_3.1.2-1_all.deb
Checksums-Sha256: 
 4142c65079640b32c967e0e7b3d441f8952634b085fecb7e96401fa9634ee84f 2062 python-rsa_3.1.2-1.dsc
 66eb8752a1de9b92d7679ea0e1556cf2e4a155161d0024e97e06999041e35f58 35237 python-rsa_3.1.2.orig.tar.gz
 c3b4e79245f6205e1e81c36d7d07b4adf05f5e70075a5f8d43e98c4da546bf2e 1854 python-rsa_3.1.2-1.debian.tar.gz
 312da4eb4671bdd501dbd241c6c14e89a671373c19dce9f0e895cc327a1fcadb 27670 python-rsa_3.1.2-1_all.deb
 f1a4b784c3763252e68db365319916aa710ddf87756b99546b9746d3bec8841a 26784 python3-rsa_3.1.2-1_all.deb
Files: 
 deddc86496850dd66410fe3c62fed1bc 2062 python optional python-rsa_3.1.2-1.dsc
 ff4791f05911a93cf90ee1f24220158f 35237 python optional python-rsa_3.1.2.orig.tar.gz
 bd55c019fbf85c24f51933b34fa9d03b 1854 python optional python-rsa_3.1.2-1.debian.tar.gz
 7bfec49769335ca8439735f5b9a9facc 27670 python optional python-rsa_3.1.2-1_all.deb
 94e69454ed005e7a06374557843e2dce 26784 python optional python3-rsa_3.1.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSx8bcAAoJEMwUn2wopeJX9dEP/jK+S+qVtSBiKAzKIg5+xFdQ
zhMZC2aPx+P5C/Z4n0XMzwLgGQuF0No+gJV2BnjJgMpyfKTLHBplJMxACUAJz+0a
uOHxM6ckMcVQxKR2i+A/BDCDmAcVmY+CVnfL8K1ZRWyg1gQgcXx/ffTUesYjJvv3
P3tCWSenCEINhJeI8h2xMAofwtBh4VTtF5YWb8fGvZz8tVWTpfSOmnS1kolZbaAS
FoJGWCemikM1/ErPVjn29H81NXuuw6cDRqvYkfI+wMy9JVlc/esj6qRqev1BvlXX
HRuoYZC6DorFzG8rER929rbTZImr6ihNCVEXNpgHPSQs5yPGfokQhpombw8VDVJo
eXq9ecQ0rtsRQX/K2tORwOlWoEOsWYZyt51gc6EA7fPtAJmeUIoOKqicYMibhYO6
4JvGXlIcXvKGxJ5e2VgfoGMfzklPKqHPaghTaQhslAol7btuKWWmrfXcesfOFz8G
wbDFd2s/m6ozD7JTr840klXvtORyzTrn5qdqNDdzlkxciN86HaDpCkSn7RqrPobI
rs5h3uOlwt/IRAPW6Zy2ePS05b+uwM2azl3cFwtZ1wWa8YFSdRxE5byTbW49DfD0
z7px1RC1g6E4bKs5f6AbSKrlOLZZNzBvKDy5hE+IyomOEdxKx8raoYf5JdTTvYWi
PDQ8YsSrb360K17bPgId
=Ydm3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Feb 2014 07:26:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:27:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.